import { ContentConfig } from "/@/components/PageContent";
import { httpList } from "/@/api/invoiceInOut/productManager";

import dayjs from "dayjs";
import { h } from "vue";
import { ElTag } from "element-plus";
import { invoiceTypeList, useTypeOptions } from "/@/utils/status";
import { renderIconLabelLeft } from "/@/utils/columnRenderHelper";

const columns = [
  {
    label: "商品编码",
    prop: "TODO",
    minWidth: 150
  },
  {
    label: "商品代码",
    prop: "TODO",
    minWidth: 160
  },
  {
    label: '商品类型',
    prop: 'TODO',
    minWidth: 100
  },
  {
    label: '商品名称',
    prop: 'TODO',
    minWidth: 100
  },
  {
    label: "规格",
    prop: "TODO",
    minWidth: 80
  },
  {
    label: "单位",
    prop: "TODO",
    minWidth: 80
  },
  {
    label: '单价',
    prop: 'TODO',
    minWidth: 100
  },
  {
    label: '重量',
    prop: 'TODO',
    minWidth: 80
  },
  {
    label: '分光',
    prop: 'TODO',
    minWidth: 80
  },
  {
    label:'创建时间',
    prop: 'TODO',
    width: 140
  },
  {
    label: "操作",
    fixed: "right",
    width: 55,
    slot: "operation"
  }
];

const contentConfig: ContentConfig = {
  title: "组合商品管理",
  columns,
  apis: {
    httpList,
    httpAdd: true
  }
};

export default contentConfig;
