import { http } from "/@/utils/http"
import { loadEnv } from "@build/index"

const { VITE_PROXY_USER_REAL } = loadEnv();

const baseUrl = `${VITE_PROXY_USER_REAL}/admin/`

interface ResponseType extends Promise<any> {
  message?: string
  code?: number
  data?: any
}


// 列表
export const httpList = (data: any): ResponseType => {
  return http.request('post', `${baseUrl}ComonOrder/list`, {
    data: {
      ...data,
      noRela: true
    }
  })
}
