import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = VITE_PROXY_USER_REAL + "/admin/";
interface ResponseType extends Promise<any> {
  data?: object;
  code?: number;
  message?: string;
}

export const httpList = (data:object = {}): ResponseType => {
  return http.request("post", `${yewuApi}catplist`, { data });
};
export const httpCreate = (data:object = {}): ResponseType => {
  return http.request("post", `${yewuApi}catcreate`, { data });
};
export const httpUpdate = (data:object = {}): ResponseType => {
  return http.request("post", `${yewuApi}catedit`, { data });
};
export const httpStatus = (data:object = {}): ResponseType => {
  return http.request("post", `${yewuApi}catstatus`, { data });
};
export const httpSpecs = (data:object = {}): ResponseType => {
  return http.request("post", `${yewuApi}specstitle`, { data });
};
